import { Component, inject } from '@angular/core';
import { StoreService } from '../store.service';
import { CurrencyPipe } from '@angular/common';

@Component({
  selector: 'app-home',
  standalone: true,
  imports: [CurrencyPipe],
  templateUrl: './home.component.html',
  styleUrl: './home.component.css',
})
export class HomeComponent {
  // otetaan käyttöön store
  store = inject(StoreService);
  // haetaan tiedot storesta
  name = this.store.name;
  saldo = this.store.saldo;
  orders = this.store.orders;
}
