import { Component, inject } from '@angular/core';
import { StoreService } from '../store.service';
import { CurrencyPipe } from '@angular/common';

@Component({
  selector: 'app-payments',
  standalone: true,
  imports: [CurrencyPipe],
  templateUrl: './payments.component.html',
  styleUrl: './payments.component.css'
})
export class PaymentsComponent {
  // otetaan käyttöön store
  store = inject(StoreService);
  // haetaan saldo storesta
  saldo = this.store.saldo;

  // tallennetaan lomakkeella annettu uusi saldo storeen
  saveSaldo(saldo: HTMLInputElement) {
    this.store.saveSaldo(saldo.valueAsNumber);
  }

}
