import { Component, inject } from '@angular/core';
import { StoreService } from '../store.service';

@Component({
  selector: 'app-profile',
  standalone: true,
  imports: [],
  templateUrl: './profile.component.html',
  styleUrl: './profile.component.css',
})
export class ProfileComponent {
  // otetaan käyttöön store
  store = inject(StoreService);
  // haetaan name storesta
  name = this.store.name; 

  // Tallennetaan uusi nimi storeen
  save(name: string) {
    this.store.saveName(name);
  }
}
